#------------efficiency test case a-------------
# Compare startR v0.1.3 and v1.0.3
# retrieve = TRUE
# a1 for v0.1.3; a2 for v1.0.3
#-----------------------------------------------
install.packages("/esarchive/scratch/nperez/sourceR/startR_0.1.3.tar.gz", 
                 source = TRUE, repos = NULL)
library(startR)

Rprof(memory.profiling = TRUE, gc.profiling = TRUE,
      line.profiling = TRUE, filename = "Rprof_a1.out")

  path <- "/esarchive/exp/ecmwf/system4_m1/monthly_mean/$var$_f6h/$var$_$year$$month$01.nc"
  var <- "psl"
  year <- paste0(1981:2016)
  month <- sprintf("%02d", 1:12)

  data <- Start(dat = path,
                var = var,
                year = year,
                month = month,
                time = 'all',
                lat = indices(1:10),  #'all',
                lon = indices(1:10),  #'all',
                ensemble = 'all',
                return_vars = list(lon = NULL, lat = NULL),
                synonims = list(lat = c('lat','latitude'),
                                lon = c('lon','longitude')),
                retrieve = TRUE)

Rprof(NULL)
a <- summaryRprof(filename = "Rprof_a1.out", memory = 'both')
subset(a$by.total, total.time > 1)

