library(startR)

obs_path <- 'http://earth.bsc.es/thredds/dodsC/recon/ecmwf/era5/1hourly/$var$.nc' 
var_name <- 'sfcWind'

obs <- Start(dat = obs_path,
             var = var_name,  
             lat = indices(1),
             lon =indices(1),          
             time = indices(1),
             retrieve = F) 



var_name='sfcWind'
path.exp <- '/esarchive/exp/ecmwf/s2s-monthly_ensforhc/daily/$var$_f24h/$sdate$/$var$_$syear$.nc'

hcst <- Start(dat = path.exp,
              var =  var_name,
              sdate = '20161222',
              syear = indices(1:2), #'all',
              time = indices(1:4), #'all',            
              latitude=indices(1),#'all',
              longitude=indices(1),#'all',
              ensemble = 'all',
              syear_depends = 'sdate',
          #    synonims = list(time_day = 'time'),
              return_vars = list(latitude = 'dat',
                                 longitude = 'dat',
                                 time = c('sdate','syear')
                                 ),
              retrieve = F) 

