#  library(startR)

  #repos <- "/esarchive/exp/ecmwf/system5_m1/monthly_mean/$var$_f6h/$var$_$sdate$.nc"
  repos <- '/esarchive/exp/ecearth/a1tr/cmorfiles/CMIP/EC-Earth-Consortium/EC-Earth3/historical/r24i1p1f1/Amon/$var$/gr/v20190312/$var$_Amon_EC-Earth3_historical_r24i1p1f1_gr_185001-185012.nc'

  var <- c('tas', 'clt')
  sdate <- '20170101'

  data <- Start(dat = repos,
                var = var,
                #sdate = '20170101',
                #ensemble = 'all', #indices(c(1:5)),
                #var_depends = 'dat',
                time = 'all',
                lat = 'all', #indices(1:40),
                lon = 'all', #indices(1:49),
                return_vars = list(lat = NULL, lon = NULL, time = 'var'),
                retrieve = TRUE,
                synonims = list(lat = c('lat','latitude'),
                                lon = c('lon','longitude'))
               )


  repo1 <- '/esarchive/exp/ecearth/a1tr/cmorfiles/CMIP/EC-Earth-Consortium/EC-Earth3/historical/r24i1p1f1/Amon/tas/gr/v20190312/tas_Amon_EC-Earth3_historical_r24i1p1f1_gr_185001-185012.nc'

  repo2 <- '/esarchive/exp/ecearth/a1tr/cmorfiles/CMIP/EC-Earth-Consortium/EC-Earth3/historical/r24i1p1f1/Amon/clt/gr/v20190312/clt_Amon_EC-Earth3_historical_r24i1p1f1_gr_185001-185012.nc'
  data <- Start(dat = list(list(name = 'tas', path = repos),
                           list(name = 'clt', path = repos)),
                var = var,
                var_depends = 'dat',
                #sdate = '20170101',
                #ensemble = 'all', #indices(c(1:5)),
                time = 'all',
                lat = 'all', #indices(1:40),
                lon = 'all', #indices(1:49),
                return_vars = list(lat = 'dat', lon = 'dat'),
                retrieve = TRUE,
                synonims = list(lat = c('lat','latitude'),
                                lon = c('lon','longitude'))
               )

