EOF_old <- s2dverification::EOF
source('/home/Earth/aho/s2dv/R/EOF.R')
library(multiApply)

# 1
set.seed(1)
ano <- array(rnorm(120), dim = c(sdate = 10, lat = 6, lon = 2))

lat <- seq(10, 30, length.out = 6)
lon <- c(10, 12)
#corr <- FALSE
ncores <- NULL

res_old <- EOF_old(ano, lon = lon, lat = lat)
res <- EOF(ano, lon = lon, lat = lat)

# 2
set.seed(1)
ano <- array(rnorm(240), dim = c(time = 20, lat = 6, lon = 2))
lat <- seq(-10, 10, length.out = 6)
lon <- c(-10, -12)

res_old <- EOF_old(ano, lon = lon, lat = lat)
res <- EOF(ano, lon = lon, lat = lat)

# 3
set.seed(1)
ano <- array(rnorm(240), dim = c(lat = 6, lon = 2, time = 20))
lat <- seq(-10, 10, length.out = 6)
lon <- c(-10, -12)
ano_swap <- s2dv::Reorder(ano, c(3, 1, 2))

res_old <- EOF_old(ano_swap, lon = lon, lat = lat)
res <- EOF(ano, lon = lon, lat = lat)

# 4
set.seed(1)
ano <- array(rnorm(480), dim = c(dat = 2, lat = 6, lon = 2, time = 20))
lat <- seq(10, 30, length.out = 6)
lon <- c(10, 12)
ano_1 <- ClimProjDiags::Subset(ano, 1, 1, drop = 'selected')
ano_1 <- s2dv::Reorder(ano_1, c(3, 1, 2))
ano_2 <- ClimProjDiags::Subset(ano, 1, 2, drop = 'selected')
ano_2 <- s2dv::Reorder(ano_2, c(3, 1, 2))

res1 <- EOF_old(ano_1, lon = lon, lat = lat)
res2 <- EOF_old(ano_2, lon = lon, lat = lat)
res <- EOF(ano, lon = lon, lat = lat)
all.equal((res$EOFs)[,,,1], res1$EOFs)
all.equal((res$EOFs)[,,,2], res2$EOFs)

# 5
set.seed(1)
ano <- array(rnorm(120), dim = c(sdate = 10, lat = 6, lon = 2))
lat <- seq(10, 30, length.out = 6)
lon <- c(10, 12)

res_old <- EOF_old(ano, lon = lon, lat = lat, corr = TRUE)
res <- EOF(ano, lon = lon, lat = lat, corr = TRUE)
