library(s2dverification)

ecearth <- list(name = 'system4_m1',
                path = file.path('/esarchive/exp/ecmwf',
                                 '$EXP_NAME$/$STORE_FREQ$_mean',  #month_mean',
                                 '$VAR_NAME$_f6h/$VAR_NAME$_$START_DATE$.nc'))
ecearth <- list(name = 'system5_m1',
                path = file.path('/esarchive/exp/ecmwf',
                                 '$EXP_NAME$/$STORE_FREQ$_mean',  #month_mean',
                                 '$VAR_NAME$_f6h/$VAR_NAME$_$START_DATE$.nc'))

sdate <- c('20170101', '20170201')
startDates <- sdate
time_length <- 1 #7
lon <- c(0, 359)
lat <- c(-90, 90)

   data <- Load(var = 'tas',
                     exp = list(ecearth),
                     sdates = startDates,
                     storefreq = "monthly",
                     leadtimemax = time_length,
                     output = 'lonlat',
#                     latmin = -30, latmax = 30,
#                     lonmin = 0, lonmax = 60,
#                     grid = 't426grid', #'r360x180',
                     nmember = 1,
                     nproc = 1)

  lons <- data$lon
  lats <- data$lat

  #plot Load
  s2dv::PlotEquiMap(data$mod[1, 1, 1, 1, , ], lons, lats, fileout = 'test.png')

  lons <- asd$lon
  lats <- asd$lat
  s2dv::PlotEquiMap(asd$mod[1, 1, 1, 1, , ], lons, lats, fileout = 'test2.png')


#==========================
library(startR)

  repos <- "/esarchive/exp/ecmwf/system5_m1/monthly_mean/$var$_f6h/$var$_$sdate$.nc"
  var <- 'tas'
  sdate <- c('20170101')

  data_Start <- Start(dat = repos,
                var = var,
                sdate = sdate,
                ensemble = indices(1),
                time = indices(1), #'all',
                latitude = values(list(-30, 30)),
                latitude_reorder = Sort(),
                longitude = values(list(0, 60)),
                longitude_reorder = CircularSort(0, 360),
                return_vars = list(time = c('sdate'),
                                   longitude = NULL, latitude = NULL),
                retrieve = TRUE)


