library(s2dverification)
#devtools::install_git('https://earth.bsc.es/gitlab/es/s2dverification', ref = 'master')

data <- Load('prlr', exp = 'system5c3s',
                     obs = 'era5',
                     sdates = c('20100501'),# '20110501', '20120501'),
                     #leadtimemin = 121, leadtimemax = 151,
                     latmin = 44, latmax = 47,
                     lonmin = 5, lonmax = 9,
                     nmember = 1,
                     storefreq = "daily", sampleperiod = 1,
                     output = "lonlat")

dim(data$obs)


> data$Dates$start[180:185]
[1] "2010-10-27 00:00:00 CEST" "2010-10-28 00:00:00 CEST"
[3] "2010-10-29 00:00:00 CEST" "2010-10-30 00:00:00 CEST"
[5] "2010-10-31 00:00:00 CEST" "2010-10-31 23:00:00 CET" 
> data$Dates$end[180:185]
[1] "2010-10-28 00:00:00 CEST" "2010-10-29 00:00:00 CEST"
[3] "2010-10-30 00:00:00 CEST" "2010-10-31 00:00:00 CEST"
[5] "2010-10-31 23:00:00 CET"  "2010-11-01 23:00:00 CET" 

