library(s2dverification)
source('/home/Earth/aho/aho-testtest/s2dv/issue/issue243/Clim_issue243.R')

# ---- 1 -----
d <- rnorm(15)
var <- array(data=d,dim=c(1,3,5,1,1,1))
names(dim(var)) <- c("dat","memb","sdate","time","lat","lon")
## 
print(Clim(var,var,memb=TRUE)$clim_exp)
print(apply(var[1,,1:5,1,1,1],1,mean))



# ---- 2 -----
d <- rnorm(15)
d[c(1,2,5,6,7,14)] <- NA 
var <- array(data=d,dim=c(1,3,5,1,1,1))
names(dim(var)) <- c("dat","memb","sdate","time","lat","lon")
## 
print(Clim(var,var,memb=TRUE)$clim_exp)
print(apply(var[1,,1:5,1,1,1],1,mean,na.rm=T))
##
## result of Clim() is identical to
print(var[1,1:3,4,1,1,1])


# ----- 3 -----
d <- 1:15
d[1] <- NA
var <- array(data=d,dim=c(1,3,5,1,1,1))
names(dim(var)) <- c("dat","memb","sdate","time","lat","lon")
## 
print(Clim(var,var,memb=TRUE)$clim_exp)
print(apply(var[1,,1:5,1,1,1],1,mean,na.rm=T))
##
var[1,,1:5,1,1,1]


# ------- -----
d <- 1:15
d[1] <- NA
var_exp <- array(data=d,dim=c(1,3,5,1,1,1))
names(dim(var_exp)) <- c("dat","memb","sdate","time","lat","lon")

dimexp <- dim(var_exp)
var_exp <- Enlarge(var_exp, 7)
#> dim(var_exp)
#  dat  memb sdate  time   lat   lon       
#    1     3     5     1     1     1     1 

#
  #  Find common points to compute climatologies 
  # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  #
  tmp2 <- MeanListDim(var_exp, dims = 5:7, narm = TRUE)
  nan <- MeanListDim(tmp2, dims = 1:2, narm = FALSE) + Mean1Dim(Mean1Dim(tmp2, 2, narm = TRUE), 1, narm = FALSE)
  for (jdate in 1:dimexp[3]) {
    for (jtime in 1:dimexp[4]) {
      if (is.na(nan[jdate, jtime])) {
        var_exp[, , jdate, jtime, , , ] <- NA
        var_obs[, , jdate, jtime, , , ] <- NA
      }
    }
  }





