
path_cmcc <- "/esarchive/exp/cmcc/system3_m1-c3s/monthly_mean/g500_f12h/$VAR_NAME$_$START_DATE$.nc"
path_ecmwf <- "/esarchive/exp/ecmwf/system5c3s/monthly_mean/g500_f12h/$VAR_NAME$_$START_DATE$.nc"

tmp1 <- Load("g500", 
             exp = list(CMCC = list(name = "CMCC",
                                    path = path_cmcc)), 
             obs = NULL, 
             sdates = "19931101", 
             latmin = 20, latmax = 80, 
             lonmin = 270, lonmax = 60,
             output = "lonlat", grid = "r360x180", method = 'bilinear',
             nprocs = 1)
#*   - Experimental data: ( 1 x 40 x 1 x 6 x 60 x 150 ) x 8 bytes = 17280000 bytes.

tmp2 <- Load("g500", 
             exp = list(ECMWF = list(name = "ECMWF",
                                     path = path_ecmwf)), 
             obs = NULL,
             sdates = "19931101", 
             latmin = 20, latmax = 80, 
             lonmin = 270, lonmax = 60,
             output="lonlat", grid = "r360x180",
             nprocs = 1)
#*   - Experimental data: ( 1 x 25 x 1 x 6 x 60 x 151 ) x 8 bytes = 10872000 bytes.


# works well
tmp3 <- Load("g500", 
             exp = list(CMCC = list(name = "CMCC",
                                    path = path_cmcc),
                        ECMWF = list(name = "ECMWF",
                                     path = path_ecmwf)),
             obs = NULL, 
             sdates = "19931101",
             latmin = 20, latmax = 80,
             lonmin = 270, lonmax = 60,
             output="lonlat", grid = "r360x180",
             nprocs = 1)
# 60x151
