func_type <- function(path, var) {
  print('in type')
print('path in type')
print(path)
print('var in type')
print(var)
  type <- vector(mode = "list", length = length(var))
  names(type) <- var
  
  #change $path$ back to path
  path_kk <- lapply(1:length(var), function(kk) gsub('var', var[kk], path[[kk]]))
  path_kk <- lapply(1:length(var), function(kk) gsub('[$]','', path_kk[[kk]]))

  
  #get inner dim to see 1. if file exists, 2. (i, j) or (lat, lon)
  print('path_kk')
  print(path_kk)
  inner_dim <- lapply(1:length(var), function(kk) try(easyNCDF::NcReadDims(path_kk[[kk]], var_names = var[kk]), silent = TRUE) )
  print('inner_dim')
  print(inner_dim)
  #get lat/lon dim to see if it is regualr gridded. If > 2, irregular    #BUG!!!! all = 1
  latlon_dim <- vector(mode = "list", length = length(var))
  for (kk in 1:length(var)) { 
    latlon_dim[[kk]] <- try(easyNCDF::NcReadDims(path_kk[[kk]], var_names = 'lat'), silent = TRUE)
    if (class(latlon_dim) == 'try-error') {
      latlon_dim[[kk]] <- try(easyNCDF::NcReadDims(path_kk[[kk]], var_names = 'latitude'), silent = TRUE)
    }
  }
  
  for (kk in 1:length(var)) { 
    
    type[[kk]]$length <- length(inner_dim[[kk]])
    type[[kk]]$latlondim <- length(latlon_dim[[kk]])
    
    if (class(inner_dim[[kk]]) != 'try-error') {
      
      type[[kk]]$path <- path_kk[[kk]]  #path[[kk]]
      
      #then retrieve lat/lon, i/j, or time/region
      if (any(c('lat', 'latitude') %in% names(inner_dim[[kk]]))
          && any(c('lon', 'longitude') %in% names(inner_dim[[kk]]))) {
        
        type[[kk]]$dim <- 'latlon'
        
      } else if (all(c('i', 'j') %in% names(inner_dim[[kk]]))) {
        
        type[[kk]]$dim <- 'ij'
        type[[kk]]$length_j <- inner_dim['j']
        type[[kk]]$length_i <- inner_dim['i']
        type[[kk]]$var_list <- easyNCDF::NcReadVarNames(path_kk[[kk]])
        
      } else if (all(c('time', 'region') %in% names(inner_dim[[kk]]))) {
        
        type[[kk]]$dim <- 'time_region'
        type[[kk]]$regions <- as.vector(easyNCDF::NcToArray(path_kk[[kk]], vars_to_read = 'region'))
        
      } else if (c('time') %in% names(inner_dim[[kk]])) {
        
        type[[kk]]$dim <- 'time'
      }
      
    } else {
      stop("File doesn't exist or data format is not available.")
    }
  }
  print(str(type))
  print(type[[1]]$path)
  print('type over')
  type
  
}  #func ends
