ecmwf_path_multiple <- paste0('/esnas/exp/ecmwf/s2s-monthly_ensforhc/',
                              'weekly_mean/$var$_f6h/$year$-$month$-$day$/',
                              '$var$_$hdate$.nc')

exp2m <- Start(dat = ecmwf_path_multiple, 
               var = 'tas',
               year = '2016',
               month = 'all', 
               day = 'all',
               hdate = 'all',
               time = indices(1),
               ensemble = indices(1),
               latitude = indices(1),
               longitude = indices(1),
               month_depends = 'year',
               day_depends = 'month',
               hdate_depends = 'year',
               hdate_depends = 'month',
               hdate_depends = 'day')

nested <- c('year', 'month', 'day', 'hdate')


path <- paste0('/esarchive/exp/ecmwf/s2s-monthly_ensforhc/',
               'weekly_mean/$var$_f6h/$year$-$month$-$day$/',
               '$var$_$hdate$.nc')
exp2m <- Start(dat = path,
               var = 'tas',
               year = '2016',
               month = 'all',
               day = 'all',
               hdate = 'all',
               time = indices(1),
               ensemble = indices(1),
               latitude = indices(1),
               longitude = indices(1),
               month_depends = 'year',
               day_depends = 'month',
               hdate_depends = 'year',
               hdate_depends = 'month',
               hdate_depends = 'day',
               retrieve = T)
