library(startR)

repos <- list(list(name = 'a1st', 
                   path = paste0('/esarchive/exp/ecearth/a1st/diags/CMIP/EC-Earth-Consortium/', 
                                 'EC-Earth3/historical/r7i1p1f1/Omon/$var$/gn/$version$/',
                                 '$var$_Omon_EC-Earth3_historical_r7i1p1f1_gn_$year$.nc')), 
              list(name = 'a1sx', 
                   path = paste0('/esarchive/exp/ecearth/a1sx/diags/CMIP/EC-Earth-Consortium/',
                                 'EC-Earth3/historical/r10i1p1f1/Omon/$var$/gn/$version$/',
                                 '$var$_Omon_EC-Earth3_historical_r10i1p1f1_gn_$year$.nc'))
             )
yrh1 <- 1960
yrh2 <- 1961 #2014
years  <- paste0(c(yrh1 : yrh2), '01-', c(yrh1 : yrh2), '12')

data <- Start(dat = repos,
              var = 'tosmean',
              year = years,
              version = indices(1:2), #'all',
              time = 'all',
              region = 'all',
              retrieve = T)
