library(startR)

sdates.seq.thu <- format(seq(as.Date(paste(2020, 06, 11, sep = '-')),
                             as.Date(paste(2020, 09, 17, sep = '-')),
                             by = 'weeks'), format='%Y%m%d')

path <- "/esarchive/oper/S2S4E-data/weekly_statistics/S2S/$var$/$sdate$/$var$_$sdate$_*.nc"

exp <- Start(dat = path,
             var = "tas",
             sdate = sdates.seq.thu,  
#             sdate2 = indices(1), #sdates.seq.thu,  
#             sdate2_depends = 'sdate1',
             time = 'all',
             ensemble = "all",
             latitude = indices(1:121),
             longitude = indices(1:240),
             path_glob_permissive = 1, # to allow '*' to be different in each file (1 level from the end)
            #  return_vars = list(latitude = 'dat',
	    #                longitude = 'dat',
            #                time = 'dat'),
	      retrieve = T) 

